﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO.Pipes;
using System.IO;

namespace clientpipe
{
    class client
    {
        static void Main(string[] args)
        {
            using (NamedPipeClientStream pipeStream = new NamedPipeClientStream("testpipe"))
            {
                pipeStream.Connect();

                //由client向server端写字符串
                //using (StreamWriter sw = new StreamWriter(pipeStream))
                //{
                //    sw.AutoFlush = true;
                //    string temp;
                //    while ((temp = Console.ReadLine()) != null)
                //    {
                //        sw.WriteLine(temp);
                //    }
                //}

                //在client读取server端写的数据
                using (StreamReader rdr = new StreamReader(pipeStream))
                {
                    string temp;
                    while ((temp = rdr.ReadLine()) != "stop")
                    {
                        Console.WriteLine("{0}:{1}",DateTime.Now,temp);
                    }
                }
            }

            Console.Read();
        }
    }
}
