﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

//引用使用管道通信的命名空间
using System.IO.Pipes;
using System.IO;

namespace UsePipesClientSide
{
    class Program
    {
        static void Main(string[] args)
        {
            using (NamedPipeClientStream clientStream = new NamedPipeClientStream("testPipe"))
            {
                //连接
                clientStream.Connect();

                using (StreamReader rdr = new StreamReader(clientStream, Encoding.UTF8))
                {
                    string pipeContent = rdr.ReadLine();

                    Console.WriteLine(pipeContent);
                }
            }

            Console.Read();
        }
    }
}
