﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

//引用使用管道通信的命名空间
using System.IO.Pipes;
using System.IO;

namespace UsePipes
{
    class Program
    {
        static void Main(string[] args)
        {
            using (var serverStream = new NamedPipeServerStream("testPipe",
                PipeDirection.InOut,
                1,
                PipeTransmissionMode.Byte,
                PipeOptions.None))
            {
                PipeSecurity security = new PipeSecurity();
                serverStream.WaitForConnection();

                using (StreamWriter writer = new StreamWriter(serverStream, Encoding.UTF8))
                {
                    writer.AutoFlush = true;
                    while (true)
                    {
                        Console.WriteLine("输入文字");

                        string enterContent = Console.ReadLine();
                        writer.WriteLine(enterContent);
                    }
                }
            }

        }
    }
}
