﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Diagnostics;
using System.IO.Pipes;
using System.IO;

namespace parent
{
    class Program
    {
        static void Main(string[] args)
        {
            Process process = new Process();
            process.StartInfo.FileName = "child.exe";
            using (AnonymousPipeServerStream pipeStream =
                new AnonymousPipeServerStream(PipeDirection.Out, HandleInheritability.Inheritable))
            {
                process.StartInfo.Arguments = pipeStream.GetClientHandleAsString();
                process.StartInfo.UseShellExecute = false;
                process.Start();
                pipeStream.DisposeLocalCopyOfClientHandle();

                using (StreamWriter sw = new StreamWriter(pipeStream))
                {
                    sw.AutoFlush = true;
                    sw.WriteLine(Console.ReadLine());
                }
            }


            process.WaitForExit();
            process.Close();
        }
    }
}
